#include <bits/stdc++.h>
using namespace std;
#define ll long long
const int N=1000050;
const int mod=1e9+7;
void ckadd(ll& a,ll b){a+=b;if(a>=mod)a%=mod;}
char s[N];
ll dp[N][26];
int main(){
    int n;scanf("%i",&n);
    scanf("%s",&s);
    for(int i=0;i<n;i++){
        int c=(int)(s[i]-'A');
        for(int j=0;j<26;j++){
            if(j==c){
                if(j==0)dp[i][j]=1;
                if(i>0){
                    if(j!=0)ckadd(dp[i][j],dp[i-1][j-1]);
                    ckadd(dp[i][j],dp[i-1][j]);
                }
            }else{
                if(i>0)dp[i][j]=dp[i-1][j];
            }
        }
    }
    printf("%i",dp[n-1][25]);
    return 0;
}